package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.NotificationModel

interface NotificationListInteractor {
    interface View {
        fun responseSucceed(notificationList: ArrayList<NotificationModel>)
        fun responseFail(error: VolleyError)
        fun onLoadMore()
    }

    interface Presenter {
        fun onLoadData(phoneNumber: String, offset: Int)
    }

}